Announcement

Collapse

Information Needed

See more
See less

Error "PaymentAPI Method" when processing a registration

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Error "PaymentAPI Method" when processing a registration

    Hi,

    I am running a test on processing a registration for an event and I am encountering this error message when I try to save the registration.
    I am selecting Invoice as the payment method. I also tried credit card and received the same message.
    The registration goes through but the status shows "Pending.


    List has no rows for assignment to SObjectError is in expression '{!PaymentAPIMethod}' in page cnp_paas_evt:eventmanualregistration

    An unexpected error has occurred. Your solution provider has been notified. (CnP_PaaS_EVT)


    The Salesforce Org is
    00Di0000000Y4QJ

    thanks for your help if fixing this issue.

    Carolyn Fisher

  • #2
    Carolyn,

    One of our test engineers has been assigned to this task and I will get back to you once we have an answer.

    Sorry for the inconvenience.
    Regards,
    Click & Pledge Support Department

    On Salesforce? Help us by rating our app: Click & Pledge Donor Management on AppExchange

    Join us @ the educational webinars: https://clickandpledge.com/webinars/
    Live Support available Join between 3:00 - 3:30 p.m. ET Monday - Thursday: https://clickandpledge.com/webinars/
    Are you on Salesforce? Join us at the Power of Us Hub: https://powerofus.force.com/0F980000000CjpC

    Comment


    • #3
      After entering one or two new registrants, the same error message persists. I was only able to successfully register one or two registrants, but then the error message continues to occur.

      Comment


      • #4
        Good day!

        May I ask that you install the latest beta for PaaS & Event and let me know if you still have the problem.

        https://forums.clickandpledge.com/showthread.php?t=1469

        Looking forward to hearing back from you.
        Regards,
        Click & Pledge Support Department

        On Salesforce? Help us by rating our app: Click & Pledge Donor Management on AppExchange

        Join us @ the educational webinars: https://clickandpledge.com/webinars/
        Live Support available Join between 3:00 - 3:30 p.m. ET Monday - Thursday: https://clickandpledge.com/webinars/
        Are you on Salesforce? Join us at the Power of Us Hub: https://powerofus.force.com/0F980000000CjpC

        Comment


        • #5
          Carolyn,

          We reviewed your case and realized what is going on.

          You are processing Event 2.0 in Event 1.0 box office. Your event is generated in the event 2.0 environment and as such please use the Box Office for 2.0.

          We have kept the 1.x features intact for those clients that are still using the 1.0 but have upgraded to 2.0. We did not want to cause any interference with an ongoing event. We understand that this may cause a bit of confusion and with the introduction of 3.x event management we will remove the 1.x interface.

          Please let me know if this solves the issue.
          Regards,
          Click & Pledge Support Department

          On Salesforce? Help us by rating our app: Click & Pledge Donor Management on AppExchange

          Join us @ the educational webinars: https://clickandpledge.com/webinars/
          Live Support available Join between 3:00 - 3:30 p.m. ET Monday - Thursday: https://clickandpledge.com/webinars/
          Are you on Salesforce? Join us at the Power of Us Hub: https://powerofus.force.com/0F980000000CjpC

          Comment


          • #6
            I have updated the PaaS version to 8.1025 and the Events version to 2.1016 but the same situation happens. I can only add a few records and then the error message occurs.

            Comment


            • #7
              Good day!

              Are you sure you are using the Event 2.0 box office?
              Click image for larger version

Name:	Event-2-BoxOffice.jpg
Views:	1
Size:	70.5 KB
ID:	15348

              I apologize for asking this obvious question but the only way you can get that error is if you go to the Release 1.x box office with a 2.0 event. I wish we could remove 1.x backward compatibility all together but for now we have to keep it and that is causing a number of confusions with our clients.
              Regards,
              Click & Pledge Support Department

              On Salesforce? Help us by rating our app: Click & Pledge Donor Management on AppExchange

              Join us @ the educational webinars: https://clickandpledge.com/webinars/
              Live Support available Join between 3:00 - 3:30 p.m. ET Monday - Thursday: https://clickandpledge.com/webinars/
              Are you on Salesforce? Join us at the Power of Us Hub: https://powerofus.force.com/0F980000000CjpC

              Comment

              Working...
              X